ubuntu-drivers-common (1:0.10.3.1) questing; urgency=medium

  * Prevent coinstallation of conflicting Nvidia Drivers (LP: #2125156)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Fri, 03 Oct 2025 16:26:02 -0500

ubuntu-drivers-common (1:0.10.3) questing; urgency=medium

  [ Mitchell Augustin ]
  * replace nvidia-current with generic nvidia-driver-xxx branch in tests
  * Remove nvidia-detector
  [ Kai-Chuan Hsieh ]
  *  Fix AMD + NVIDIA platform boot_vga not set
  [ Conrad Fernandez ]
  * Require root for install and autoinstall (LP: #1920225)
  [ Kuba Pawlak ]
  * Repeated 'install' invocations cycle between drivers (LP: #2115507)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 30 Jun 2025 09:54:58 +0200

ubuntu-drivers-common (1:0.10.2ubuntu2) questing; urgency=medium

  * d/s/options: ignore .git
    - Remove .git artifacts included in the previous upload

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 31 Jul 2025 08:43:25 -0400

ubuntu-drivers-common (1:0.10.2ubuntu1) questing; urgency=medium

  * Clarify gpgpu flag help text (LP: #2115537)

 -- Mitchell Augustin <mitchell.augustin@canonical.com> Tue, 01 Jul 2025 16:46:31 -0500

ubuntu-drivers-common (1:0.10.2) plucky; urgency=medium

  [ Simon Chopin ]
  * Replace buggy modalias map caching with simple arg passing (LP: #2092601)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 03 Apr 2025 10:30:34 +0200

ubuntu-drivers-common (1:0.10.1) plucky; urgency=medium

  [ Kuba Pawlak ]
  * fix DKMS install of gaming drivers (LP: #2098674)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 18 Feb 2025 11:52:55 +0100

ubuntu-drivers-common (1:0.10) plucky; urgency=medium

  [ Kuba Pawlak]
  * Add --include-dkms option to listing drivers (LP: #2090924)
  * fix searching for lrm drivers matching linux-image-virtual (LP: #2085962)
  * Don't remove SimpleDRM if nvidia has fbdev
  * Don't remove SimpleDRM if nvidia does not have modesetting
  * fix install --gpgpu handling (LP: #2083709)
  * Sort the output list of matching nvidia drivers (LP: #2081970)
  * NVIDIA 560 release should suggest -open variant first (LP: #2081967)
  * Skip a test that fails after update of aptdaemon

  [ Dann Frazier ]
  * Add more useful help text for --gpgpu (LP: #2081881)

  [ Alessandro Astone ]
  * Improve SimpleDRM+NVIDIA fix across kernel versions (LP: #2060268)

  [ Timo Aaltonen ]
  * gpu-manager: Drop unused functions
  * copyright: Fix a lintian warning.
  * Drop obsolete constraints.
  * rules: Remove built objects directly instead of running make clean.
  * control, rules: Migrate to debhelper-compat 13 and pybuild.
  * control: Migrate to pkgconf.
  * control: Drop obsolete Breaks/Conflicts/Provides/Replaces.
  * control: Drop ancient transitional packages fglrx-pxpress and nvidia-common.

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 06 Dec 2024 16:51:26 +0100

ubuntu-drivers-common (1:0.9.7.8) oracular; urgency=medium

  [ Kuba Pawlak ]
  * Revert "Change maximum open files limit for the shell" (LP: #2077646)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 28 Aug 2024 21:42:02 +0300

ubuntu-drivers-common (1:0.9.7.7) oracular; urgency=medium

  * SRU (LP: #2076245)
  * debian/tests/control
    - change test dependencies from libgl1-mesa-glx to libglx-mesa0
      (LP: #2071829)
  * debian/control
    - change repository links
  * tests/test_ubuntu_drivers.py (synchronize repository)
    - increase the timeout for test_system_driver_packages_performance
      since for some reason it seems really slow but only on the builders
  * UbuntuDrivers/detect.py
    - Ensure that self._major_ver is an int
    - Replace "udevadm hwdb" with systemd-hwdb
    - Recommend hwe-*-meta for non-oem hardware enablement meta packages
  * share/hybrid:
    - Change Makefile to respect CC and CFLAGS environment variables
  * share/hybrid/71-u-d-c-gpu-detection.rules
    - Remove SimpleDRM device when nvidia-drm loads (LP: #2060268)
  * share/hybrid/gpu-manager.c  
    - Wait for nvidia-drm to settle before opening /dev/dri/card* (LP: #2060268)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 24 Jul 2024 11:00:58 +0200

ubuntu-drivers-common (1:0.9.7.6ubuntu3) noble; urgency=medium

  * Change directly the source, the package doesn't use quilt...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2024 11:11:21 +0200

ubuntu-drivers-common (1:0.9.7.6ubuntu2) noble; urgency=medium

  * debian/patches/workaround_builders_slowness.patch:
    - increase the timeout for test_system_driver_packages_performance
      since for some reason it seems really slow but only on the builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2024 10:26:31 +0200

ubuntu-drivers-common (1:0.9.7.6ubuntu1) noble; urgency=medium

  * tests/testarchive.py:
    -  Fix a pycodestyle E721 error with the newer python

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Mar 2024 11:18:31 +0100

ubuntu-drivers-common (1:0.9.7.6) mantic; urgency=medium

  [ Dimitri John Ledkov ]
  * Add broadcom-sta-dkms to allowlist. (LP: #2013236)
    In Lunar it was identified that both bcmwl and broadcom-sta-dkms are
    identical and maintained in the archive twice. They were merged,
    taking the Debian name as the new default one. However, allowlist was
    forgotten to be updated in ubuntu-drivers to actually offer default
    install of broadcom-sta-dkms.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Sep 2023 15:19:31 +0000

ubuntu-drivers-common (1:0.9.7.5) mantic; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Fix test_system_driver_packages_chroot_core_lrm_1() to match the
      behaviour in get_userspace_lrm_meta().

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 29 Aug 2023 12:25:56 +0000

ubuntu-drivers-common (1:0.9.7.4) mantic; urgency=medium

  * UbuntuDrivers/detect.py:
    - Make it clear that get_userspace_lrm_meta() accepts an actual name.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 28 Aug 2023 15:48:47 +0000

ubuntu-drivers-common (1:0.9.7.3) mantic; urgency=medium

  [ Dirk Su ]
  * Skip modalias checking if id in force install list.
  * Add autokgstest for force install nvidia.

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Add get_userspace_lrm_meta() to get the -lrm meta
      when available.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 23 Aug 2023 16:30:09 +0200

ubuntu-drivers-common (1:0.9.7.2) mantic; urgency=medium

  [ Olivier Gayot ]
  * ubuntu-drivers:
    - Fix --no-oem option stored in wrong config variable (LP: #1966413).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 26 May 2023 14:17:38 +0000

ubuntu-drivers-common (1:0.9.7.1) lunar; urgency=medium

  * debian/rules:
    - Limit the test suite to the selected architectures.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 22 Feb 2023 10:49:02 +0000

ubuntu-drivers-common (1:0.9.7) lunar; urgency=medium

  * UbuntuDrivers/detect.py:
    - Introduce the NvidiaPkgNameInfo class to unify NVIDIA package
      name parsing. This also fixes the potentially broken
      _get_headless_no_dkms_metapackage() function, which could
      return the wrong metapackage, now that the "-open" drivers
      are in the archive.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 Feb 2023 14:38:27 +0000

ubuntu-drivers-common (1:0.9.6.5) lunar; urgency=medium

  * UbuntuDrivers/detect.py:
    - Make sure -open drivers have a lower priority on gpgpu too.
  * tests/test_ubuntu_drivers.py:
    - Fix the description of test_system_open_driver_packages_chroot1.
    - Add test to make sure that -open drivers have a lower priority on
      gpgpu too.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 26 Jan 2023 16:54:26 +0000

ubuntu-drivers-common (1:0.9.6.4.3) lunar; urgency=medium

  * tests/quirkreader-test.py:55:15: E275 missing whitespace after keyword

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Jan 2023 16:43:24 +0000

ubuntu-drivers-common (1:0.9.6.4.2) lunar; urgency=medium

  * Quirks/quirkreader.py:
    - Line 55 fix E275 missing whitespace after keyword.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Jan 2023 16:08:57 +0000

ubuntu-drivers-common (1:0.9.6.4.1) lunar; urgency=medium

  [ Alex-S-H-P ]
  * UbuntuDrivers/detect.py:
    - Remove redundant variable.

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py:
    - Update regex in nvidia_desktop_pre_installation_hook.
  * Quirks/quirkreader.py:
    - Handle UnicodeDecodeError. Fixes FTBFS.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Jan 2023 14:42:42 +0000

ubuntu-drivers-common (1:0.9.6.4) lunar; urgency=medium

  [ Jeremy Szu ]
  * README, README.md,
    UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Add support for force installing the NVIDIA driver on unsupported
      devices.
      The device and its target driver branch are both specified in the
      /etc/custom_supported_gpus.json file.
      Support for  runtimepm can also be set in the file.
    - Support autokgstest for force install nvidia.
    - Add autopkgtest in README section.

  [ gongzhengyang ]
  * UbuntuDrivers/detect.py:
    - Fix local variable 'version' being referenced before assignment
      when catching ValueError.

  [ Alberto Milone ]
  * tests/test_ubuntu_drivers.py:
    - Add test_system_open_driver_packages_chroot1(). This makes sure
    that we keep preferring non-open NVIDIA modules over the -open ones
    (on the desktop), until the open module catches up on the desktop
    features.

  [ Jeff Lane ]
  * detect-plugins/sl-modem.py:
    - Add some error trapping when aplay is not installed (on servers).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 17 Nov 2022 11:12:05 +0000

ubuntu-drivers-common (1:0.9.6.3) kinetic; urgency=medium

  * UbuntuDrivers/detect.py:
    - Fix driver series detection in nvidia_desktop_pre_installation_hook.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 24 Aug 2022 10:41:03 +0000

ubuntu-drivers-common (1:0.9.6.2) kinetic; urgency=medium

  [ Jeremy Szu ]
  * share/hybrid/gpu-manager.c:
    - Don't wait for nvidia-drm when dealing with nvidia-340
      (LP: #1973604).

  [ Ēriks Remess ]
  * UbuntuDrivers/kerneldetection.py:
    - Detect unsigned kernel images correctly.

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py:
    - Make sure -open drivers have a lower priority.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Aug 2022 15:09:46 +0000

ubuntu-drivers-common (1:0.9.6.1) jammy; urgency=medium

  * UbuntuDrivers/detect.py:
    - Handle Production branches (PB) (LP: #1964747).
    - Always prefer PB and LTSB, and pick the highest of the two
      whenever possible.
  * tests/test_ubuntu_drivers.py:
    - Add test_system_driver_packages_chroot_support_branch_pb and
      test_system_driver_packages_chroot_support_branch_pb_1, to
      keep track of our policy on PB and LTSB releases.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 16 Mar 2022 15:59:19 +0100

ubuntu-drivers-common (1:0.9.6) jammy; urgency=medium

  * Drop apt in favour of the apt_pkg bindings (LP: #1963712).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 14 Mar 2022 12:15:38 +0100

ubuntu-drivers-common (1:0.9.5.1) jammy; urgency=medium

  * Change maximum open file descriptors limit for the process in
    the test suite. This should fix the FTBFS.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 07 Mar 2022 17:16:26 +0100

ubuntu-drivers-common (1:0.9.5) jammy; urgency=medium

  [ Jeremy Szu ]
  * 71-u-d-c-gpu-detection.rules,
    gpu-manager.c:
    - Wait for the nvidia-drm module to be loaded. This works around
      a race condition, where nvidia-drm is loaded after gdm, and
      this causes gdm to hang (LP: #1958488).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 24 Feb 2022 12:32:44 +0100

ubuntu-drivers-common (1:0.9.4) jammy; urgency=medium

  [ Michael Hudson-Doyle ]
  * UbuntuDrivers/detect.py:
    - Optimize packages_for_modalias by compiling all the Modaliases
      into one big regexp that can be used to quickly reject most
      devices.

  [ Alberto Milone ]
  * UbuntuDrivers/kerneldetection.py:
    - Improve performance of _get_linux_metapackage.
  * gpu-manager.c:
    - Fall back from on-demand to on if nvidia < 450.

  [ Jeremy Szu ]
  * ubiquity/target-config/31ubuntu_driver_packages:
    - Install nvidia-prime in eariler stage.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 12 Jan 2022 09:37:18 +0000

ubuntu-drivers-common (1:0.9.3) jammy; urgency=medium

  * UbuntuDrivers/detect.py,
    ubuntu-drivers:
    - Provide helper functions for NVIDIA on the desktop:
      o get_desktop_package_list()
      o nvidia_desktop_pre_installation_hook()
      o nvidia_desktop_post_installation_hook()
      The new functions, which are now used by ubuntu-drivers
      (only for the desktop i.e. "ubuntu-drivers install"),
      allow reusing the hardware detection and the customisations
      from ubuntu-drivers in other applications such as the
      Software Properties UIsi (LP: #1942208).
    - Add the "--recommended" option to the "list" command
      (LP: #1952147).
      This allows to show only the packages that will be
      installed using auto-detection i.e. one specific
      driver and its kernel module, instead of all the
      compatible drivers.
      This works with and without --gpgpu, yielding different
      results.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 18 Nov 2021 18:05:53 +0100

ubuntu-drivers-common (1:0.9.2.2) impish; urgency=medium

  * ubuntu-drivers:
    - Enable KMS Wayland if nvidia >= 470. This only affects
      the UDA drivers. This is more effective than checking
      if Wayland is running, since the live image uses X11.
  * UbuntuDrivers/detect.py:
    - Add newline when setting kms.
  * ubiquity/target-config/31ubuntu_driver_packages:
    - Install nvidia-prime, so that we can handle hybrid
      systems, and pick up the NVIDIA driver configuration
      (LP: #1943816).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 08 Oct 2021 15:40:04 +0200

ubuntu-drivers-common (1:0.9.2.1) impish; urgency=medium

  * UbuntuDrivers/detect.py:
    - Fix E302 expected 2 blank lines, found 1.
    - Fix E711 comparison to None should be "if cond is not None".

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 Sep 2021 11:46:07 +0200

ubuntu-drivers-common (1:0.9.2) impish; urgency=medium

  * UbuntuDrivers/detect.py:
    - Do not complain about Legacy not being a valid support level.
  * gpu-manager.c:
    - Enable RTD3 only on laptops (LP: #1942788).
  * ubuntu-drivers, UbuntuDrivers/detect.py:
    - Enable KMS for NVIDIA when running on Wayland.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 15 Sep 2021 15:25:13 +0200

ubuntu-drivers-common (1:0.9.1.2) impish; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Fix pycodestyle E265 block comment should start with "# ".

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Jul 2021 20:33:07 +0200

ubuntu-drivers-common (1:0.9.1.1) impish; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Skip checking the error output for apt install. Just
      make sure the process doesn't fail.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 15 Jul 2021 16:38:49 +0200

ubuntu-drivers-common (1:0.9.1) impish; urgency=medium

  * detect-plugins/sl-modem.py:
    - Make the failure to find or user aplay a debugging error.
      This will always fail on servers, and printing the whole exception
      all the time is unnecessary.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Jul 2021 13:34:52 +0200

ubuntu-drivers-common (1:0.9.0~0.21.10.1) impish; urgency=medium

  * gpu-manager.c:
    - Make sure to also search the signed modules (LP: #1931514).
      Credit goes to Bin Li for the first version of this patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 18 Jun 2021 16:55:54 +0200

ubuntu-drivers-common (1:0.8.9.1) hirsute; urgency=medium

  * debian/tests/control:
    - Add dependency on alsa-utils, since the autopkgtest requires it
      for the sl-modem detection plugin.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 13 Apr 2021 13:00:14 +0200

ubuntu-drivers-common (1:0.8.9) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * Fix previous change: I removed alsa-utils from Build-Depends not Depends.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Apr 2021 13:15:57 +0200

ubuntu-drivers-common (1:0.8.8) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * Drop dependency on alsa-utils as we want to start using ubuntu-drivers in
    the server installer but do not want alsa-utils there. The code using
    aplay to detect certain kinds of modem will fail to detect them if aplay
    is not installed but will not crash. As alsa-utils is in the
    desktop-common seed there should be no loss of functionality anywhere
    ubuntu-drivers is used today.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 31 Mar 2021 13:43:48 +0200

ubuntu-drivers-common (1:0.8.7) hirsute; urgency=medium

  * ubuntu-drivers:
    - Do not install recommended dependencies when calling
      "install --gpgpu" (LP: #1898601). The whole point of
      having --gpgpu was to reduce the amount of the
      installed dependencies.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 23 Mar 2021 16:14:36 +0100

ubuntu-drivers-common (1:0.8.6.5) hirsute; urgency=medium

  * tests/test_ubuntu_drivers.py:
    - Add testcase for list-oem --package-list.
  * UbuntuDrivers/detect.py:
    - Fix the way we validate the nvidia modules metapackages
      (LP: #1914374).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Feb 2021 19:13:21 +0100

ubuntu-drivers-common (1:0.8.6.4) hirsute; urgency=medium

  [ Alberto Milone ]
  * ubuntu-drivers:
    - Don't error out when failing to write to /run without
      root privileges (LP: #1913651), since package
      installation will fail later.
    - Restore "--package-list" for list-oem, which was supported
      but accidentally not exposed in the transition to click.
      (LP: #1914051).

  [ Dimitri John Ledkov ]
  * debian/rules:
    - Make tests on riscv64 non-fatal.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Feb 2021 18:43:34 +0100

ubuntu-drivers-common (1:0.8.6.3) hirsute; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Prefer LTSB releases over NFB ones for non gpgpu cases too.
  * gpu-manager.c:
    - Make it possible to force runtimepm by creating the
      /etc/u-d-c-nvidia-runtimepm-override file.
    - Make on-demand default on nvidia >= 450, when no
      previous settings are available.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 18 Nov 2020 15:44:11 +0100

ubuntu-drivers-common (1:0.8.6.2) groovy; urgency=medium

  * ubuntu-drivers:
    - Unify metapackage listing for --gpgpu and non --gpgpu mode.
      This relies on the more robust metapackage listing of
      the non --gpgpu mode (LP: #1900452).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 19 Oct 2020 13:42:45 +0200

ubuntu-drivers-common (1:0.8.6.1) groovy; urgency=medium

  * UbuntuDrivers/detect.py:
    - Assume the NVIDIA packages to be non-free (LP: #1899630).
  * gpu-manager.{c|py}:
    - Handle the xorg conf file in all supported PRIME
      scenarios (LP: #1900137).
  * tests/test_ubuntu_drivers.py,
    tests/gpu-manager.py:
    - Expect a xorg conf file to be created in on-demand
      mode (11-nvidia-offload.conf) in the test suite.
    - Fix test cases now that nvidia is marked as non-free.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Oct 2020 16:51:44 +0200

ubuntu-drivers-common (1:0.8.6) groovy; urgency=medium

  [ Alberto Milone ]
  * share/hybrid/json-parser, debian/copyright:
    - Include json-parser (just C file and header).
  * gpu-manager.c:
    - Add json parsing code to detect support for runtimepm on NVIDIA
      (LP: #1895855).
    - Check that RTD3 is enabled, and write that to a file in /run.
    - Make on-demand mode the default when no settings are available.
    - Add support for AMD+NVIDIA hybrid systems.
    - Add support for checking PME capabilities for runtimepm, so that,
      if the GPU is not boot_vga, and it is not listed in the json
      database, we can at least check whether d3hot is supported, and
      enable runtimepm in the NVIDIA driver.
  * gpu-manager.py:
    - Adjust the test suite to match the changes in gpu-manager.c.
  * UbuntuDrivers/detect.py, ubuntu-drivers:
    - Catch apt exceptions.
    - Catch failure when modinfo is not available.
    - Introduce the concept of LTSB (long term support branch), NFB
      (new feature branch), Legacy, and Beta, which the driver packages
      can specify.
    - Use package support to pick the nvidia driver:
      o Desktop case: pick the latest non-server driver, when available
        (this preserves the current behaviour).
      o Server case: pick the LTSB -server driver, when available.
  * NvidiaDetector/nvidiadetector.py:
    - Use regex to parse package names (LP: #1891183).
  * ubuntu-drivers:
    - Select on-demand mode if runtimepm is supported.
    - Check RTD3 support for NVIDIA, and enable it when available.
    - Show the package support level, when available, when using
      "ubuntu-drivers debug".
  * debian/control:
    - Replace build-dep on libpciaccess-dev with libpci-dev.
  * debian/rules: make sure to call the clean target of the Makefile

  [ Cyrus Lien ]
  * gpu-manager.c:
    - Fix segmentation fault in json_find_feature_in_array.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 Oct 2020 16:00:18 +0200

ubuntu-drivers-common (1:0.8.5.4) groovy; urgency=medium

  * ubuntu-drivers:
    - Do not assume that the metapackage tag is available.
  * NvidiaDetector/nvidiadetector.py:
    - Fix failure with the -server drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Jul 2020 17:24:08 +0200

ubuntu-drivers-common (1:0.8.5.3) groovy; urgency=medium

  * ubuntu-drivers:
    - Fix failure when using the deprecated "autoinstall"
      argument (LP: #1889181).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Jul 2020 10:55:27 +0200

ubuntu-drivers-common (1:0.8.5.2) groovy; urgency=medium

  * gpu-manager.c:
    - Use the full mutliarch path for the X11 libraries.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 27 Jul 2020 16:16:22 +0200

ubuntu-drivers-common (1:0.8.5.1) groovy; urgency=medium

  * UbuntuDrivers/detect.py,
    detect-plugins/sl-modem.py:
    - Avoid triggering test_static.py "E741 ambiguous variable name 'l'".

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 17 Jun 2020 12:26:01 +0200

ubuntu-drivers-common (1:0.8.5) groovy; urgency=medium

  * ubuntu-drivers:
    - Remove leftover code from argparse
  * UbuntuDrivers/detect.py,
    tests/test_ubuntu_drivers.py:
    - Add test_legacy_nvidia_driver_packages_chroot1.
    - Do not print an error when linux-modules cannot
      be found. Use debugging lines instead.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 15 Jun 2020 18:04:40 +0200

ubuntu-drivers-common (1:0.8.4) groovy; urgency=medium

  * ubuntu-drivers:
    - Rework the argument parser.
  * debian/control:
    - Depend on python3-click.
    - Drop dependency on dpkg-dev (LP: #1880564).
  * Add support for the "Support" field in packages.
  * Add support for passing in driver and vendor for
    the "install" case (LP: #1881586).
  * gpu-manager.c:
    - Add get_system_architecture().

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Jun 2020 12:08:39 +0200

ubuntu-drivers-common (1:0.8.3) groovy; urgency=medium

  * debian/control:
    - Replace build dependency on lib32gcc1 with lib32gcc-s1.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 May 2020 16:21:39 +0200

ubuntu-drivers-common (1:0.8.2) groovy; urgency=medium

  * debian/control:
    - Depend on dpkg-dev (LP: #1875339).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 04 May 2020 10:53:31 +0200

ubuntu-drivers-common (1:0.8.1) focal; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/test_ubuntu_drivers.py,
    ubuntu-drivers:
    - Add tests for the -generic-hwe-20.04 flavour and for
      the -oem-20.04 linux flavour.
    - Add detection logic to get the linux metapackage and
      linux-modules for -hwe-20.04 (LP: #1873867).
    - List the modules provider when it is either a dkms package
      or a linux-modules package.
    - Install linux-modules packages when available.
      This makes the NVIDIA drivers work with Secure Boot.

  [ Dimitri John Ledkov ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py:
    - Use exact matching in find_reverse_deps() with both
      installed and candidate.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 21 Apr 2020 21:14:15 +0200

ubuntu-drivers-common (1:0.8) focal; urgency=medium

  [ Iain Lane ]
  * tests:
    - Rename ubuntu_drivers.py to test_ubuntu_drivers.py.
  * UbuntuDrivers/detect.py:
    - Update oem-*-meta packages after we install them.
    - Offer oem-*-meta for installation with "ubuntu-drivers install".
    - Check for 'Modaliases' first when building modalias -> package map.
  * ubuntu-drivers:
    - Add a new 'list-oem' command.
    - Add a --no-oem flag.
    - Allow installing device specific metapackages (LP: #1866035).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 05 Mar 2020 17:06:28 +0100

ubuntu-drivers-common (1:0.7.8.1) focal; urgency=medium

  * tests/gpu-manager.py:
    - Do not test against renamed intel modules.
      We don't rename intel modules (such as i915-brw) any more.
      This fixes a test failure now that we have switched to exact
      module matching.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 20 Feb 2020 11:31:12 +0100

ubuntu-drivers-common (1:0.7.8) focal; urgency=medium

  * 71-u-d-c-gpu-detection.rules:
    - Look only for the actual nvidia module.
  * gpu-manager.c:
    - Stricter module name matching in is_module_loaded()
      (LP: #1848326).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Feb 2020 13:35:12 +0100

ubuntu-drivers-common (1:0.7.7) focal; urgency=medium

  [ Alberto Milone ]
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py:
    - Rely on the linux-image metapackage to find the flavour and
      linux-modules.
      This is for cases such as linux-virtual, which depend on the
      "-generic" flavour.
    - Fix test case where the linux-modules for the ABI shouldn't have
      been available.

  [ Daniel Dadap ]
  * gpu-manager.c:
    - Add helper to remove /usr/share/X11/xorg.conf.d files.
      remove_prime_outputclass() and remove_offload_serverlayout() are
      basically the same function with different target filenames, so
      add a helper function and make both call into the new helper.
      Also give the new helper (and the original functions) a return
      type and value to inform callers of whether removal was successful.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 13 Feb 2020 12:03:24 +0100

ubuntu-drivers-common (1:0.7.6.1) focal; urgency=medium

  * Make sure that the PATH environment variable is set (LP: #1854472).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 29 Nov 2019 11:06:12 +0100

ubuntu-drivers-common (1:0.7.6) eoan; urgency=medium

  [ Alberto Milone ]
  * gpu-manager.c:
    - Drop prime_is_action_on() (now that it isn't on/off any more)
      and update the description.
  * UbuntuDrivers/detect.py,
    UbuntuDrivers/kerneldetection.py,
    tests/ubuntu_drivers.py,
    ubuntu-drivers:
    - Provide DKMS fallback for the "install --gpgpu" case
      when no linux-modules-nvidia are available for the driver
      and for a specific kernel (LP: #1843796).
      We have new tests to cover this scenario now.
    - Show provider of kernel modules in list --gpgpu
    - Fix linux metapackage detection.
      This was meant to be driven by the latest kernel version
      But it was only partially implemented.
      Complete the implementation and update the relevant tests.

  [ Daniel Dadap ]
  * gpu-manager.c:
    - Enable power management in NVIDIA on-demand mode:
      The NVIDIA driver can suspend the GPU when it's being used as a
      PRIME render offload source and it isn't actively being used.
      disable_power_management() sets the NVIDIA GPU's power/control
      mode to "on", which prevents the GPU from suspending when it
      might otherwise be possible to do so.
    - Increase string storage on stack for path names. This fixes
      the warnings that gcc emits when building up path names.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 13 Sep 2019 12:38:45 +0200

ubuntu-drivers-common (1:0.7.5) eoan; urgency=medium

  [ Philip Langdale ]
  * gpu-manager.c:
    - Turn on PRIME offload when in on-demand mode.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 21 Aug 2019 16:06:34 +0200

ubuntu-drivers-common (1:0.7.4) eoan; urgency=medium

  * tests/quirkreader-test.py:
    - Fix indentation of comments.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 19:53:11 +0200

ubuntu-drivers-common (1:0.7.3) eoan; urgency=medium

  * UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Remove blank line, and add new line to make test_static.py happy.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 16:22:53 +0200

ubuntu-drivers-common (1:0.7.2) eoan; urgency=medium

  * ubuntu-drivers,
    UbuntuDrivers/detect.py,
    tests/ubuntu_drivers.py:
    - Make sure to install the linux-modules-nvidia package for the
      kernel flavour in use, when passing the --gpgpu argument, so
      that we can deliver a working NVIDIA installation, provided
      that the EULA was accepted.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Aug 2019 09:50:52 +0200

ubuntu-drivers-common (1:0.7.1) eoan; urgency=medium

  * debian/tests/system:
    - Do not try installing dkms packages. We already have an
      infrastructure in place to catch any such failures.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Jul 2019 17:12:12 +0200

ubuntu-drivers-common (1:0.7) eoan; urgency=medium

  * gpu-manager.c:
    - Add support for the on-demand mode for PRIME.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Jul 2019 16:59:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ubuntu-drivers-common`.
